<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	
    <link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css2?family=Cinzel:wght@400;500;600;700;800&display=swap" rel="stylesheet">

	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha384-3ceskX3iaEnIogmQchP8opvBy3Mi7Ce34nWjpBIwVTHfGYWQS9jwHDVRnpKKHJg7" crossorigin="anonymous"></script>

	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>

    <script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" type="text/javascript"  ></script>
   <script src="<?php echo get_template_directory_uri(); ?>/js/swiper.min.js" type="text/javascript"  ></script>
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.0.min.js"></script>
   	
	<?php wp_head(); ?>
</head>

  <!-- <//?php if( get_theme_mod('bubbles_button_display','show' ) == 'show') :
        ?>
    </?php endif ?>  -->

<body <?php body_class(); ?>>
	<div class="main-container">
		<!-- <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'InsideTours' ); ?></a> -->
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->
		<!-- #masthead -->
		<header class="site-header header-transparent header header-seo">
			<div class="top-bar-head">
				<div class="top-header">
					<div class="t-header">
						<div class="container clearfix">
							<div class="row mr-0">
								<div class="header-left col-lg-3 col-md-9 col-sm-10 col-10 logo">
								<?php 
									if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
										$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
									}
								?>
						<!-- website logo -->
									<div class="logo-header mostion">
										<?php 
										if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
											the_custom_logo();
									else : 
										if(get_theme_mod('site_title_disable') != 'on' ){
											if ( is_front_page() ) : ?>
												<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
												<?php else : ?>
													<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
												<?php endif; ?>
											<?php } ?>
										<?php endif; ?>
									</div> 
									<?php
										if(get_theme_mod('site_tagline_disable') != 'on' ){
									?>
									<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p> 
									<?php } ?>
								<!-- nav toggle button -->
									<div class="resp_header_logo">
									<?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
								else : 
									if ( is_front_page() ) : ?>
										<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php else : ?>
											<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
										<!-- <p class="ht-site-description"><a href="<?php //echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php //bloginfo( 'description' ); ?></a></p> -->
									<?php endif; ?>
									</div>
								</div>
								<div class="col-lg-9 col-md-3 col-sm-2 col-2">
									<div class="col-md-12 col-sm-2 col-xs-2 pd-0">
										<div class="row mobhdr mr-0">
											<div class="col-xl-5 col-lg-5 col-md-5">	
												<div id="sb-search" class="sb-search">
													<form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
														<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
														<input type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Search', 'placeholder', 'woocommerce' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />
														<input type="submit" value="<?php echo esc_attr_x( '', 'submit button', 'woocommerce' ); ?>" />
														<input type="hidden" name="post_type" value="product" />
													</form>
												</div>	
											</div>
											<div class="col-xl-3 col-lg-3 col-md-3 hbtn Nmob">
												<?php
								                      $c_txt = get_theme_mod('c_txt', 'Your Cart'); 
								                ?>
												<?php if( get_theme_mod('shop_button_display','show' ) == 'show') :?>
												<div class="hshop ">
												<?php if(function_exists ('wc_get_cart_url')){?>				
													<a href="<?php echo wc_get_cart_url();?>" class="">
														<div class="row mr-0 cbtn">
															<div class="col-md-3 col-3 pd-0">
																	<i class="fa fa-shopping-cart"></i>
															</div>
															<div class="col-md-9 col-9">
																	<div class="card-txt"><?php echo ($c_txt);  ?></div>
																	<div class="total-amount"><?php echo WC()->cart->get_cart_total(); ?></div>
															</div>
														</div>
													</a>
													<div class="count">
														<?php global $woocommerce; ?><?php echo WC()->cart->get_cart_contents_count(); ?>
													</div> 
												<?php }?>
												</div>
												<?php endif ?>
											</div>
											<div class="col-xl-4 col-lg-4 col-md-4">	
						                    <?php if( get_theme_mod('cds_button_display','show' ) == 'show') :?>
							                    <div class="mobnone1">  
							                        <div class="Hbtn">
						                            <?php
						                            		$headph_title = get_theme_mod('headph_title', 'CALL US'); 
						                                $head_ph = get_theme_mod('head_ph', '(111)222-333'); 
						                                //$headerinquiry = get_theme_mod('luzuk_header_headerinquiry', '#');
						                            ?>
						                            <?php if(!empty($headph_title || $head_ph)){ ?>
						                            	<a href="tel:<?php echo $head_ph;?>">
						                            	<div class="row mr-0">
						                            		<div class="col-md-3">
							                            		<div class="b-icnbx">
							                            			<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-phone-call" width="22" height="22" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
																  	<path stroke="none" d="M0 0h24v24H0z" fill="none"/>
																  	<path d="M5 4h4l2 5l-2.5 1.5a11 11 0 0 0 5 5l1.5 -2.5l5 2v4a2 2 0 0 1 -2 2a16 16 0 0 1 -15 -15a2 2 0 0 1 2 -2" />
																	  <path d="M15 7a2 2 0 0 1 2 2" />
																	  <path d="M15 3a6 6 0 0 1 6 6" />
																	</svg>             	
																</div>
															</div>
															<div class="col-md-9">
								                            	<div class="b-detaibx">
									                            	<h5><?php echo ($headph_title);  ?></h5>
									                                <span><?php echo ($head_ph); ?></span>
								                              	</div>
							                            	</div>
						                              	</div>
						                              	</a>
						                            <?php }?> 
						                        	</div>
						                   	 	</div>
					                    		<?php endif ?>
		                					</div>
										</div> 
									</div>
								</div>
							</div>		
							<div class="clearfix"></div>
						</div>
					</div>
					<div class="container">
						<div class="col-md-12 col-sm-2 col-xs-2 pd-0">
							<div class=" head-menubx">
								<div class="row mr-0">
									<div class="col-lg-8">
										<div class="site-navigation ">
					                  		<div class="hamburger-menus">
							                    <span></span>
							                    <span></span>
							                    <span></span>
							                    <span></span>
							                    <span></span>
							                    <span></span>
							                    <span></span>
							                    <span></span>
							                    <span></span>
							                </div>
							                <nav class="navigation">
							                    <div class="overlaybg"></div><!--  /.overlaybg -->
							                      <!-- Main Menu -->
							                    <div class="menu-wrapper">
							                        <div class="menu-content">
							                            <?php
							                                if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
							                                    wp_nav_menu ( array(
							                                        'menu_class' => 'mainmenu ht-clearfix',
							                                        'container'=> 'ul',
							                                        'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
							                                        'theme_location' => 'primary',  
							                                    )); 
							                                } else {
							                                    wp_nav_menu ( array(
							                                        'menu_class' => 'mainmenu ht-clearfix',
							                                        'container'=> 'ul',
							                                        'theme_location' => 'primary',  
							                                    )); 
							                                }
							                            ?>
							                        </div> <!-- /.hours-content-->
																			<div class="clearfix"></div>
									            </div><!-- /.menu-wrapper --> 
								                <div class="t-btn Ymob">
									            	<li class="">
										            	<?php if( get_theme_mod('tyo_button_display','show' ) == 'show') :?>
										                <div class="tyo-mn">  
										                    <div class="tyo">
										                            <?php
										                                $tyo_txt = get_theme_mod('tyo_txt', 'Track Your Order'); 
										                                $tyo_txtlink = get_theme_mod('tyo_txtlink', '#');
										                                ?>
										                                <?php if(!empty($tyo_txt)){ ?>
										                                    <a href="<?php echo $tyo_txtlink ?>"><span><i class="fa fa-car"></i> <?php echo ($tyo_txt);  ?></span></a>
										                                <?php }?> 
										                    </div>
										                </div>
										                    <?php endif ?>
										            </li>				                
									                <li class="">
									                		<?php if( get_theme_mod('sing_button_display','show' ) == 'show') :?>
									                    <div class="sing-mn">  
									                        <div class="singbtn">
									                            <?php
									                                $singbtn_txt = get_theme_mod('singbtn_txt', 'Sign In'); 
									                                $singbtn_txtlink = get_theme_mod('singbtn_txtlink', '#');
							                                ?>
							                                <?php if(!empty($tyo_txt)){ ?>
							                                    <a href="<?php echo $singbtn_txtlink ?>"><span><i class="fa fa-user"></i> <?php echo ($singbtn_txt);  ?></span></a>
							                                <?php }?> 
									                        </div>
									                    </div>
									                    <?php endif ?>
									                </li>
							                    </div>
									            <div class="search-hd">
									                <div id="sb-search" class="sb-search">
														<form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
																<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
																<input type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Search', 'placeholder', 'woocommerce' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />
																<input type="submit" value="<?php echo esc_attr_x( '', 'submit button', 'woocommerce' ); ?>" />
																<input type="hidden" name="post_type" value="product" />
														</form>
													</div>
													<?php if( get_theme_mod('shop_button_display','show' ) == 'show') :?>
													<div class="hshop ">
														<?php if(function_exists ('wc_get_cart_url')){?>				
														<a href="<?php echo wc_get_cart_url();?>" class="">
															<div class="row mr-0 cbtn">
																<div class="col-md-3 col-3 pd-0">
																		<i class="fa fa-shopping-cart"></i>
																</div>
																<div class="col-md-9 col-9">
																		<div class="card-txt"><?php echo ($c_txt);  ?></div>
																		<div class="total-amount"><?php echo WC()->cart->get_cart_total(); ?></div>
																</div>
															</div>
														</a>
														<div class="count">
															<?php global $woocommerce; ?><?php echo WC()->cart->get_cart_contents_count(); ?>
														</div> 
													<?php }?>
													</div>
													<?php endif ?>

													<?php if( get_theme_mod('cds_button_display','show' ) == 'show') :?>
								                    <div class="mobnone1">  
								                        <div class="Hbtn">
								                            <?php
								                            		$headph_title = get_theme_mod('headph_title', 'CALL US'); 
								                                $head_ph = get_theme_mod('head_ph', '(111)222-333'); 
								                                //$headerinquiry = get_theme_mod('luzuk_header_headerinquiry', '#');
								                            ?>
								                            <?php if(!empty($headph_title || $head_ph)){ ?>
								                            <a href="tel:<?php echo $head_ph;?>">
								                            	<div class="row mr-0">
									                            	<div class="col-md-3 ">
											                            <div class="b-icnbx">
												                            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-phone-call" width="22" height="22" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
																			<path stroke="none" d="M0 0h24v24H0z" fill="none"/>
																			<path d="M5 4h4l2 5l-2.5 1.5a11 11 0 0 0 5 5l1.5 -2.5l5 2v4a2 2 0 0 1 -2 2a16 16 0 0 1 -15 -15a2 2 0 0 1 2 -2" />
																			<path d="M15 7a2 2 0 0 1 2 2" />
																			<path d="M15 3a6 6 0 0 1 6 6" />
																			</svg>             	
																		</div>
																	</div>
																	<div class="col-md-9">
										                            	<div class="b-detaibx">
											                            	<h5><?php echo ($headph_title);  ?></h5>
											                                <span><?php echo ($head_ph); ?></span>
										                              </div>
								                            		</div>
								                              	</div>
								                              </a>
								                            <?php }?> 
								                        </div>
								                    </div>
								                    <?php endif ?>
									            </div>     
									        </nav>
								            <div class="clearfix"></div>
								        </div><!--  /.site-navigation -->
									</div>
							        <div class="col-lg-4">
							           	<div class="t-btn Nmob">
						            		<li class="">
							            			<?php if( get_theme_mod('tyo_button_display','show' ) == 'show') :?>
							                    <div class="tyo-mn">  
							                        <div class="tyo">
							                            <?php
							                                $tyo_txt = get_theme_mod('tyo_txt', 'Track Your Order'); 
							                                $tyo_txtlink = get_theme_mod('tyo_txtlink', '#');
							                                ?>
							                                <?php if(!empty($tyo_txt)){ ?>
							                                    <a href="<?php echo $tyo_txtlink ?>"><span><i class="fa fa-car"></i> <?php echo ($tyo_txt);  ?></span></a>
							                                <?php }?> 
							                        </div>
							                    </div>
							                    <?php endif ?>
							                </li>				                
							                <li class="">
							                		<?php if( get_theme_mod('sing_button_display','show' ) == 'show') :?>
							                    <div class="sing-mn">  
							                        <div class="singbtn">
							                            <?php
							                                $singbtn_txt = get_theme_mod('singbtn_txt', 'Sign In'); 
							                                $singbtn_txtlink = get_theme_mod('singbtn_txtlink', '#');
					                                ?>
					                                <?php if(!empty($singbtn_txt)){ ?>
					                                    <a href="<?php echo $singbtn_txtlink ?>"><span><i class="fa fa-user"></i> <?php echo ($singbtn_txt);  ?></span></a>
					                                <?php }?> 
							                        </div>
							                    </div>
							                    <?php endif ?>
							                </li>
						                </div>
							        </div>
								</div>
							</div>
						</div>
					</div>
					<div class="clearfix"></div>
				</div>
			</div>			
			<div class="clearfix"></div>
		</header>
	</div>

