<?php
$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk Premium')
	)
);

//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

$wp_customize->add_setting(
        'site_title_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'site_title_disable',
            array(
                'settings'      => 'site_title_disable',
                'section'       => 'title_tagline',
                'label'         => __( 'Hide Title', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

$wp_customize->add_setting(
        'site_tagline_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'site_tagline_disable',
            array(
                'settings'      => 'site_tagline_disable',
                'section'       => 'title_tagline',
                'label'         => __( 'Hide Tagline', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100', 'luzuk-premium' )
    )
);

$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'luzuk-premium' )
    )
);



addColorPalatOption($wp_customize, 'header_SiteTitleClr', 'title_tagline', 'Title Color', '#000');
addColorPalatOption($wp_customize, 'header_SiteTaglineClr', 'title_tagline', 'Tagline Color', '#000');


// $wp_customize->add_section( 'bubbles', array(
//     'title' => __( 'Theme All Bubbles Display Setting' , 'luzuk Premium'),
//     'panel' => 'luzuk_general_panel',
// ) );


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'Unboxthemes Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


$sectionHeader = 'header_settings';

lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Color Settings');

addColorPalatOption($wp_customize, 'header_mainmenusbgClr', 'header_settings', 'Header BG Color', '#fff'); 

addColorPalatOption($wp_customize, 'header_innpagetopmenusClr', 'header_settings', 'Inner Page Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenushvbgClr', 'header_settings', 'Active Menus & Hover BG Color', '#FC404A');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Active Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Sub Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topsubmenusbrdclr', 'header_settings', 'Sub Menus Border Color', '#ccc');

addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active Color', '#000');

addColorPalatOption($wp_customize, 'header_topsubmenushvbgColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active BG Color', '#ccc');

addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Dropdown Box BG Color', '#fff');

lzCustomLable($wp_customize, 'header_searchbtnlable', $sectionHeader, 'Search Bar Settings');

addColorPalatOption($wp_customize, 'header_searchbartextColor', 'header_settings', 'Search Bar Text Color', '#fff');

addColorPalatOption($wp_customize, 'header_searchbarbgColor', 'header_settings', 'Search Bar BG Color', '#767676');

addColorPalatOption($wp_customize, 'header_searchiconColor', 'header_settings', 'Search Icon Color', '#fff');

addColorPalatOption($wp_customize, 'header_searchiconbgColor', 'header_settings', 'Search Icon BG Color', '#FC404A');


lzCustomLable($wp_customize, 'shop_button_displaylabel', 'header_settings', 'Shopping Cart Display Setting');
// to show & hide another button
$wp_customize->add_setting( 'shop_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'shop_button_display', array( 'label' => 'Shopping Cart Display', 'section' => 'header_settings', 'settings' => 'shop_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 


// end to show & hide button

lzCustomLable($wp_customize, 'shop_button_colorlabel', 'header_settings', 'Shopping Cart Color Setting');

addColorPalatOption($wp_customize, 'header_shpcartnmbrColor', 'header_settings', 'Cart Number Color', '#fff');

addColorPalatOption($wp_customize, 'header_shpcartnmbrbgColor', 'header_settings', 'Cart Number BG Color', '#000');

addColorPalatOption($wp_customize, 'header_shpcartColor', 'header_settings', 'Cart Icon Color', '#fff');

addColorPalatOption($wp_customize, 'header_shpcartbgClr', 'header_settings', 'Cart Icon BG Color', '#FC404A');

addColorPalatOption($wp_customize, 'header_shpcarttxtClr', 'header_settings', 'Cart Text & Totle Amount Color', '#000');

addColorPalatOption($wp_customize, 'header_shpcarttxtbgClr', 'header_settings', 'Cart Text & Totle Amount BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_shpcartbrdClr', 'header_settings', 'Header Border Color', '#FC404A');

// Adding the Label
lzCustomLable($wp_customize, 'reservation_lblImgTxt', 'header_settings' , 'Header Button Setting');

// to show & hide another button
$wp_customize->add_setting( 'cds_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'cds_button_display', array( 'label' => 'Button Display', 'section' => 'header_settings', 'settings' => 'cds_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'headph_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'CALL US' )
    )
);
$wp_customize->add_control(
    'headph_title',
    array(
        'settings'      => 'headph_title',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Phone Title', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'head_ph',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '(111)222-333' )
    )
);
$wp_customize->add_control(
    'head_ph',
    array(
        'settings'      => 'head_ph',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Phone No.', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'header_btnicnClr', 'header_settings', 'Button Icon Color', '#FC404A');

addColorPalatOption($wp_customize, 'header_btnicnbgClr', 'header_settings', 'Button Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_btntxtClr', 'header_settings', 'Button Text & Number Color', '#000');

addColorPalatOption($wp_customize, 'header_btntxthvClr', 'header_settings', 'Button Number Hover Color', '#FC404A');


lzCustomLable($wp_customize, 'reservation_trackord', 'header_settings' , 'Track Order & Sign in Setting');

$wp_customize->add_setting(
    'tyo_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Track Your Order' )
    )
);
$wp_customize->add_control(
    'tyo_txt',
    array(
        'settings'      => 'tyo_txt',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Track Order Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('tyo_txtlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('tyo_txtlink',
    array(
        'settings'      => 'tyo_txtlink',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Add Link', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'singbtn_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Sign In' )
    )
);
$wp_customize->add_control(
    'singbtn_txt',
    array(
        'settings'      => 'singbtn_txt',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Sign In Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('singbtn_txtlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('singbtn_txtlink',
    array(
        'settings'      => 'singbtn_txtlink',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Add Link', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_trcktxtclr', 'header_settings', 'Text & Icon Color', '#000');

addColorPalatOption($wp_customize, 'header_trcktxthvclr', 'header_settings', 'Text & Icon Hover Color', '#FC404A');

addColorPalatOption($wp_customize, 'header_trcktxtbrdclr', 'header_settings', 'Text Border Color', '#FC404A');

lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

//addColorPalatOption($wp_customize, 'header_topheadbgclr', 'header_settings', 'Top Header BG Color', '#7b797a');

addColorPalatOption($wp_customize, 'header_topsubmenuiconColor', 'header_settings', 'Header Menus Dropdown Icon Color', '#000');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#FC404A');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#e3e2e2');

addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_settings', 'Menus Border Color', '#FC404A');



//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk Premium'),
	'panel' => 'luzuk_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'luzuk_template_color', 'colors', 'Theme Primary Color', '#FC404A');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#f9adaf');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Innerpage Colors');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgclr', 'colors', 'Inner Page Header BG Color', '#f0f0f0');

//lzCustomLable($wp_customize, 'innheadrtitle_Overlay', 'colors', 'Inner Page Color Setting');

//addColorPalatOption($wp_customize, 'luzuk_template_innerpage_titlecolor', 'colors', 'Inner Page Header Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading1_color', 'colors', 'Heading 1 Color', '#2e2e2e');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading2_color', 'colors', 'Heading 2 Color', '#2e2e2e');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading3_color', 'colors', 'Heading 3 Color', '#2e2e2e');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading4_color', 'colors', 'Heading 4 Color', '#2e2e2e');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading5_color', 'colors', 'Heading 5 Color', '#2e2e2e');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading6_color', 'colors', 'Heading 6 Color', '#2e2e2e');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadingbold_clr', 'colors', 'Heading / Text Bold Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadinghigh_clr', 'colors', 'Heading / Text Highlight Color', '#d33');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadinghighbrd_clr', 'colors', 'Paragraph Below Border Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_contentboxsidebartitlecolor', 'colors', 'Inner Page Sidebar Heading Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_productpageboldtextcolor', 'colors', 'Inner Product Page Bold Text Color', '#707070');

addColorPalatOption($wp_customize, 'template_innerpage_cartpageproducttitlecolor', 'colors', 'Inner Page Product Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductRprice_clr', 'colors', 'Product Regular Price Color', '#656565');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductprice_color', 'colors', 'Product Selling Price Color', '#FC404A');

//addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpriceinn_color', 'colors', 'Inner Product Page Selling Price Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpricebtn_color', 'colors', 'Single Product Page Add To Cart Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproducttext_color', 'colors', 'Single Product Page Text Color', '#716F71');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpricebtnbg_color', 'colors', 'Inner Page Button BG Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpricebtntxt_color', 'colors', 'Inner Page Button Text Color', '#fff');

//addColorPalatOption($wp_customize, 'luzuk_template_innerpageproducttagbg_color', 'colors', 'Single Product Page Category And Tabs BG Color', '#F8EAF8');

//addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductbrd_color', 'colors', 'Single Product Page Border Color', '#C5C5C5');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextcolcolor_color', 'colors', 'Other Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', 'colors', 'Other Fields BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover Color', '#f9adaf');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page Icons , list Number Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color', 'colors', 'Inner Page list Number BG Color', '#f3abae');

addColorPalatOption($wp_customize, 'luzuk_template_sibebr1clr', 'colors', 'Sidebar BG Color', '#efefef');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionsidebarborderrs_color', 'colors', 'Inner Page Product Image Border Color', '#ccc');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainiconbgborderrs_color', 'colors', 'Inner Page Sidebar Text Field Border Color', '#f3abae');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaytxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaybgsstxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text BG Color', '#777777');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquote_color', 'colors', 'Inner Page Blockquote BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquotetext_color', 'colors', 'Inner Page Blockquote Text Color', '#090000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquotebrd_color', 'colors', 'Inner Page Blockquote Icon And Border Color', '#f3abae');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_pagination', 'colors', 'Pagination');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepagination_color', 'colors', 'Inner Page Pagination Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbg_color', 'colors', 'Inner Page Pagination BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbgactive_color', 'colors', 'Inner Page Pagination BG Hover & Active Color', '#fff');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettnavbackttoarrdisplay', 'colors', 'Navigation Back To Top Color');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbgclr', 'colors', 'Site Navigation Arrow Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbghvclr', 'colors', 'Site Navigation Arrow Hover Color', '#000');

//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 


$wp_customize->add_setting(
        'luzuk_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_breadcrumbhometxt',
        array(
            'settings'      => 'luzuk_breadcrumbhometxt',
            'section'       => 'luzuk_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here', 'luzuk' )
        )
    );


addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title Hover Color', '#7b797a');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Current Title Color', '#FC404A');


// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_blogpage_settings',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'luzuk_blogpage_settings', 'Post Date & Comment Display Setting');

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'luzuk_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


addColorPalatOption($wp_customize, 'innerpage_blogautrclr', 'luzuk_blogpage_settings', 'Date, Categories, Comments Color', '#7F7F7F');

addColorPalatOption($wp_customize, 'innerpage_blogicnautrclr', 'luzuk_blogpage_settings', 'Date, Categories Icon Color', '#FC404A');

addColorPalatOption($wp_customize, 'template_innerpage_blogimglyclr', 'luzuk_blogpage_settings', 'Image Hover Overlay Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_blogbxbgclr', 'luzuk_blogpage_settings', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_blogttleclr', 'luzuk_blogpage_settings', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtextclr', 'luzuk_blogpage_settings', 'Text Color', '#676767');

// end

//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_area',
	array(
		'title' => __( 'Footer Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

backgroundManager($wp_customize, 'footer', 'footer_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'footer_oly', 'footer_area', 'Footer Overlay');


$wp_customize->add_setting(
    'footer_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'footer_areaOpacity',
    array(
        'settings'      => 'footer_areaOpacity',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'footerarea_olayclr', 'footer_area', 'Overlay Color', '#fff');

lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Footer Padding');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Copyright Text Box Padding');

$wp_customize->add_setting(
    'sec_bottomareaTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareaTmargin',
    array(
        'settings'      => 'sec_bottomareaTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'sec_bottomareabottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareabottommargin',
    array(
        'settings'      => 'sec_bottomareabottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


lzCustomLable($wp_customize, 'footer_formtitle', 'footer_area', 'Footer Form Title');

$wp_customize->add_setting(
    'newsletter_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Signup for Newsletter', 'luzuk-premium' )
    )
);

$wp_customize->add_control(
    'newsletter_title',
    array(
        'settings'      => 'newsletter_title',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Footer Form Title ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'footerarea_fmtitleclr', 'footer_area', 'Form Title Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_fmtitleicnclr', 'footer_area', 'Form Title Icon Color', '#FC404A');


$wp_customize->add_setting(
    'newsletter_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'We’ll never share your email address with a third party', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'newsletter_text',
    array(
        'settings'      => 'newsletter_text',
        'section'       => 'footer_area',
        'type'          => 'textarea',
        'label'         => __( 'Footer Form Text ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'footerarea_fmtxtclr', 'footer_area', 'Form Text Color', '#707070');

lzCustomLable($wp_customize, 'newsletter_Form_label', 'footer_area', 'Newsletter Form Shortcode');

lzAddElement($wp_customize, 'luzuk_newsletter_shortcode', 'footer_area', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');


lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Footer Copyright Text');

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Copyright @ 2023 Cosmetic Store All Right Reserved', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'textarea',
        'label'         => __( 'Footer Copyright Text', 'luzuk Premium' )
    )
);

// Footer  Color
lzCustomLable($wp_customize, 'footer_allcolor', 'footer_area', 'Footer Color');

addColorPalatOption($wp_customize, 'footerarea_copyrightbrdclr', 'footer_area', 'Copyright BG Text Color', '#E3E3E3');

addColorPalatOption($wp_customize, 'footerarea_copyrighttextclr', 'footer_area', 'Copyright Text Color', '#707070');

addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_titlebrd_clr', 'footer_area', 'Title Border Color', '#FC404A');

addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Text Color', '#707070');

addColorPalatOption($wp_customize, 'footerarea_icon_color', 'footer_area', 'Icon Color', '#707070');

addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Social Icon Color', '#FC404A');

addColorPalatOption($wp_customize, 'footerarea_siconbg_color', 'footer_area', 'Social Icon BG Color', '#e7e4e4');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Menu Color', '#707070');

addColorPalatOption($wp_customize, 'footerarea_menuicn_clr', 'footer_area', 'Menu Icon Color', '#FC404A');

addColorPalatOption($wp_customize, 'footerarea_menuhover_color', 'footer_area', 'Menu Hover Color', '#FC404A');

addColorPalatOption($wp_customize, 'footerarea_activemenu_color', 'footer_area', 'Active Menu Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#FC404A');

addColorPalatOption($wp_customize, 'FooterAreatabgColor', 'footer_area', 'Form Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#cfcdcd');

addColorPalatOption($wp_customize, 'footerarea_formtextbrd_color', 'footer_area', 'Form Text Field Border Color', '#cfcdcd');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_clr', 'footer_area', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbg_clr', 'footer_area', 'Form Button BG Color', '#FC404A');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbghv_clr', 'footer_area', 'Form Button BG Hover Color', '#000');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_section(
	'luzuk_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_testimonialinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Testimonial Shortcode Page Colors');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbgclr', 'luzuk_innerpageshortcode_page_settings', 'Box BG Color', '#fff5f4');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_Namecolor', 'luzuk_innerpageshortcode_page_settings', 'Client Name Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_postioncolor', 'luzuk_innerpageshortcode_page_settings', 'Client Designation Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxiconclr', 'luzuk_innerpageshortcode_page_settings', 'Icon Color', '#f3abae');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_textcolor', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Text Color', '#72696c');


 
lzCustomLable($wp_customize, 'luzuk_galleryinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagegallresclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Note: Kindly Use Gallery Image Of Same Resolution. Recomended Image Size Is 600x600px');

addColorPalatOption($wp_customize, 'luzuk_gallinnicnClr', 'luzuk_innerpageshortcode_page_settings', 'Select Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_gallinnicnbgClr', 'luzuk_innerpageshortcode_page_settings', 'Select Icon BG Color', '#FC404A');

 
lzCustomLable($wp_customize, 'luzuk_faqinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors');

$wp_customize->add_setting(
    'the_tptitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'FAQ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'the_tptitle',
    array(
        'settings'      => 'the_tptitle',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Faq Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_faqinnerheadclr', 'luzuk_innerpageshortcode_page_settings', 'Heading Color', '#000');

lzAddElement($wp_customize, 'faq_formheading', 'luzuk_innerpageshortcode_page_settings', 'text', $label="Sub Heading", 'luzuk_sanitize_text', 'Frequently Asked Questions');

addColorPalatOption($wp_customize, 'luzuk_faqinnersubheadclr', 'luzuk_innerpageshortcode_page_settings', 'Sub Heading Color', '#000');


$wp_customize->add_setting(
    'the_subtext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which do not look even slightly believable. If you are text.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'the_subtext',
    array(
        'settings'      => 'the_subtext',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'textarea',
        'label'         => __( 'Faq text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_faqinnersubtextclr', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#A2A2A2');


lzCustomLable($wp_customize, 'luzuk_faqinnerpageleftbox', 'luzuk_innerpageshortcode_page_settings', 'Left Side Color Setting');

lzAddElement($wp_customize, 'fmtitle', 'luzuk_innerpageshortcode_page_settings', 'text', $label="Faq Form Heading", 'luzuk_sanitize_text', 'INQUIRY');

addColorPalatOption($wp_customize, 'luzuk_fqfmtitleColor', 'luzuk_innerpageshortcode_page_settings', 'Form Title Color', '#FC404A');

lzAddElement($wp_customize, 'faq_shortcode', 'luzuk_innerpageshortcode_page_settings', 'text', $label="Faq Form Shortcode", 'luzuk_sanitize_text', '[Add Form shortcode]');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpageformbxbgColor', 'luzuk_innerpageshortcode_page_settings', 'Form Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpageinputColor', 'luzuk_innerpageshortcode_page_settings', 'Form Input And Placeholder Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpageinputbrdColor', 'luzuk_innerpageshortcode_page_settings', 'Form Input Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebuttontextColor', 'luzuk_innerpageshortcode_page_settings', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebuttontextHVColor', 'luzuk_innerpageshortcode_page_settings', 'Form Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebuttonBGColor', 'luzuk_innerpageshortcode_page_settings', 'Form Button BG Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebuttonBGHVColor', 'luzuk_innerpageshortcode_page_settings', 'Form Button BG Hover Color', '#000');


lzCustomLable($wp_customize, 'luzuk_faqinnerpagerightbox', 'luzuk_innerpageshortcode_page_settings', 'Right Side Color Setting');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleIconColor', 'luzuk_innerpageshortcode_page_settings', 'Question Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnactIcnClr', 'luzuk_innerpageshortcode_page_settings', 'Question Active Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleColor', 'luzuk_innerpageshortcode_page_settings', 'Question Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitlehvColor', 'luzuk_innerpageshortcode_page_settings', 'Question Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbgColor', 'luzuk_innerpageshortcode_page_settings', 'Question BG Color', '#FC404A');

//addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbghvColor1', 'luzuk_innerpageshortcode_page_settings', 'Question And Icon Box BG Hover Color', '#FEB8C7');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetexbgClr', 'luzuk_innerpageshortcode_page_settings', 'Answer Text BG Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetextcColor', 'luzuk_innerpageshortcode_page_settings', 'Answer Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerbedcClr', 'luzuk_innerpageshortcode_page_settings', 'Answer Box Border Color', '#d8d8d8');

$wp_customize->add_section(
	'luzuk_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpage_titlepaddset', 'luzuk_innerpagefont_settings', ' Set Header Title Box Padding');


$wp_customize->add_setting(
    'inner_headertitleboxTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxTpadding',
    array(
        'settings'      => 'inner_headertitleboxTpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'inner_headertitleboxBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxBpadding',
    array(
        'settings'      => 'inner_headertitleboxBpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_innerpageh1_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 1');

$wp_customize->add_setting(
	'pages_innerpageheading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '28px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading',
	array(
		'settings'      => 'pages_innerpageheading',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh2_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 2');


$wp_customize->add_setting(
	'pages_innerpageheading2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '28px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading2',
	array(
		'settings'      => 'pages_innerpageheading2',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);
 
lzCustomLable($wp_customize, 'luzuk_innerpageh3_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 3');

$wp_customize->add_setting(
	'pages_innerpageheading3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '22px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading3',
	array(
		'settings'      => 'pages_innerpageheading3',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh4_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 4');


$wp_customize->add_setting(
	'pages_innerpageheading4',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '20px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading4',
	array(
		'settings'      => 'pages_innerpageheading4',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh5_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 5');

$wp_customize->add_setting(
	'pages_innerpageheading5',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '18px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading5',
	array(
		'settings'      => 'pages_innerpageheading5',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh6_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 6');


$wp_customize->add_setting(
	'pages_innerpageheading6',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '17px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading6',
	array(
		'settings'      => 'pages_innerpageheading6',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpagebulletpoint', 'luzuk_innerpagefont_settings', ' Font Awesome Icon Setting');


$wp_customize->add_setting(
    'bulletpointicon',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '\f0f8', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bulletpointicon',
    array(
        'settings'      => 'bulletpointicon',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Add Font Awesome Icon 4.7', 'luzuk-premium' )
    )
);