<?php  
$wp_customize->add_section(
    'gift_section',
    array(
        'title' => __( 'Gift Section', 'luzuk' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);

$wp_customize->add_setting(
    'gift_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'gift_section_disable',
        array(
            'settings'      => 'gift_section_disable',
            'section'       => 'gift_section',
            'label'         => __( 'Disable/ Enable Section', 'luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk' ),
                'off' => __( 'No', 'luzuk' )
            ),
        )
    )
);

 
backgroundManager($wp_customize, 'gift', 'gift_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'giftsection_padding', 'gift_section', ' Section Padding');

$wp_customize->add_setting(
    'gift_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'gift_toppadding',
    array(
        'settings'      => 'gift_toppadding',
        'section'       => 'gift_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk' )
    )
);
$wp_customize->add_setting(
    'gift_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'gift_bottompadding',
    array(
        'settings'      => 'gift_bottompadding',
        'section'       => 'gift_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk' )
    )
);

lzCustomLable($wp_customize, 'gifts_title', 'gift_section', ' Section Heading ');


$wp_customize->add_setting(
    'gifttitle',
    array( 
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Gift Special', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'gifttitle',
    array(
        'settings'      => 'gifttitle',
        'section'       => 'gift_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'gifttxt',
    array( 
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'wrap new offer / gift every single day on weekend new coupon', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'gifttxt',
    array(
        'settings'      => 'gifttxt',
        'section'       => 'gift_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'gifts_titl_sub', 'gift_section', ' Section Color '); 

addColorPalatOption($wp_customize, 'gift_secBGclr', 'gift_section', 'Title BG Color ', '#FC404A');

addColorPalatOption($wp_customize, 'gift_sectitleicnclr', 'gift_section', 'Title & Icon Color ', '#fff');

addColorPalatOption($wp_customize, 'gift_sectextbxbrdclr', 'gift_section', 'Text Box Border Color ', '#FC404A');

addColorPalatOption($wp_customize, 'gift_sectextclr', 'gift_section', 'Text Color ', '#000');

lzCustomLable($wp_customize, 'giftbtn', 'gift_section' , 'Section Button');

$wp_customize->add_setting(
    'gcbtntxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Get Coupan' )
    )
);
$wp_customize->add_control(
    'gcbtntxt',
    array(
        'settings'      => 'gcbtntxt',
        'section'       => 'gift_section',
        'type'          => 'text',
        'label'         => __( 'Section Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('gcbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('gcbtnlink',
    array(
        'settings'      => 'gcbtnlink',
        'section'       => 'gift_section',
        'type'          => 'url',
        'label'         => __( 'Add "Button" link here', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'gift_secbtntxtclr', 'gift_section', 'Button Text Color ', '#fff');

addColorPalatOption($wp_customize, 'gift_secbtntxthvclr', 'gift_section', 'Button Text Hover Color ', '#fff');

addColorPalatOption($wp_customize, 'gift_secbtnbgclr', 'gift_section', 'Button Bg Color ', '#FC404A');

addColorPalatOption($wp_customize, 'gift_secbtnbghvclr', 'gift_section', 'Button Bg Hover Color ', '#000');

?>

