<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);
$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 970X546', 'Luzuk' ),
		)
	)
);


lzCustomLable($wp_customize, 'luzuk_sliderimgsetting', 'slider_section', 'Slider Categories Box Setting');


$wp_customize->add_setting(
        'slide_cat_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'CATEGORIES', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'slide_cat_title',
        array(
            'settings'      => 'slide_cat_title',
            'section'       => 'slider_section',
            'type'          => 'text',
            'label'         => __( 'Categories Box Heading', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'slider_cat_bxbgclr', 'slider_section', 'Categories Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'slider_cat_headingbg_clr', 'slider_section', 'Categories Box Heading BG Color', '#474747');

addColorPalatOption($wp_customize, 'slider_cat_heading_clr', 'slider_section', 'Categories Box Heading Color', '#fff');

addColorPalatOption($wp_customize, 'slider_cat_bxicn_clr', 'slider_section', 'Categories Box Title Icon Color', '#434343');

addColorPalatOption($wp_customize, 'slider_cat_bxtitle_clr', 'slider_section', 'Categories Box Title Color', '#434343');

addColorPalatOption($wp_customize, 'slider_cat_bxtitlehv_clr', 'slider_section', 'Categories Box Title Hover Color', '#FC404A');

addColorPalatOption($wp_customize, 'slider_cat_bxtitlebrd_clr', 'slider_section', 'Categories Box Title Border Color', '#BBBBBB');

// lzCustomLable($wp_customize, 'slidersarea_Overlay', 'slider_section', 'Set Image Overlay');

// $wp_customize->add_setting(
//     'slider_areaOpacity',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '0', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'slider_areaOpacity',
//     array(
//         'settings'      => 'slider_areaOpacity',
//         'section'       => 'slider_section',
//         'type'          => 'text',
//         'label'         => __( 'Opacity', 'luzuk-premium' )
//     )
// );



//lzCustomLable($wp_customize, 'slidersarea_conOverlay', 'slider_section', 'Set Content Box Overlay');

// $wp_customize->add_setting(
//     'slider_areacontOpacity',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '0.8', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'slider_areacontOpacity',
//     array(
//         'settings'      => 'slider_areacontOpacity',
//         'section'       => 'slider_section',
//         'type'          => 'text',
//         'label'         => __( 'Opacity', 'luzuk-premium' )
//     )
// );



lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Color Setting');

addColorPalatOption($wp_customize, 'slider_bg_color', 'slider_section', 'Section Bg Color', '#fff');

addColorPalatOption($wp_customize, 'slider_SubtitleClr', 'slider_section', 'Sub Title Color', '#474747');

addColorPalatOption($wp_customize, 'slider_borderColor', 'slider_section', 'Border Color', '#FC404A');

addColorPalatOption($wp_customize, 'slider_titleColor', 'slider_section', 'Title Color', '#FC404A');

addColorPalatOption($wp_customize, 'slider_discounthighBGClr', 'slider_section', 'Title BG Color', '#fff');

addColorPalatOption($wp_customize, 'slider_discountClr', 'slider_section', 'Discount Text Color', '#474747');

addColorPalatOption($wp_customize, 'slider_discounthighClr', 'slider_section', 'Discount Highlight Text Color', '#FC404A');

addColorPalatOption($wp_customize, 'slider_ButtontextColor', 'slider_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtxthvClr', 'slider_section', 'Button Text Hover Color', '#FC404A');

addColorPalatOption($wp_customize, 'slider_Buttonibrd', 'slider_section', 'Button BG Color', '#FC404A');

addColorPalatOption($wp_customize, 'slider_Buttonihv', 'slider_section', 'Button BG Hover Color', '#000');

lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Arrow Button Color');

addColorPalatOption($wp_customize, 'sli_btnbgclr', 'slider_section', 'Arrow BG Color', '#FC404A');

addColorPalatOption($wp_customize, 'sli_btnbghvclr', 'slider_section', 'Arrow BG Hover Color', '#000');

addColorPalatOption($wp_customize, 'sli_btnarowclr', 'slider_section', 'Arrow Color', '#000');

addColorPalatOption($wp_customize, 'sli_btnarowhvclr', 'slider_section', 'Arrow Hover Color', '#fff');



